import * as $dara from '@darabonba/typescript';
export declare class DescribeDeploymentSetSupportedInstanceTypeFamilyResponseBody extends $dara.Model {
    /**
     * @remarks
     * The instance families that support the deployment strategy.
     *
     * @example
     * ecs.i2g,ecs.i1,ecs.i2ne,ecs.i2gne
     */
    instanceTypeFamilies?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B7DB-A3DC7DE1****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
